var gulp = require('gulp');
var sass = require('gulp-sass');
var autoprefixer = require('gulp-autoprefixer');
var livereload = require('gulp-livereload');
var wait = require('gulp-wait');
var filter = require('gulp-filter');
var flatten = require('gulp-flatten');
var concat = require('gulp-concat');
var lec = require('gulp-line-ending-corrector');
var concatCss = require('gulp-concat-css');
var uglify = require('gulp-uglify');
var mainBowerFiles = require('main-bower-files');
const browserify = require('browserify');
const babelify = require('babelify');
const vinylBuffer = require('vinyl-buffer');
const vinylSourceStream = require('vinyl-source-stream');
const browserSync = require('browser-sync').create();
const watch = require('gulp-watch');
const babel = require('gulp-babel');
const sourcemaps = require('gulp-sourcemaps');
const cssmin = require('gulp-cssmin');
const stripComments = require('gulp-strip-comments');
const sprite = require('gulp.spritesmith');


gulp.task('styles', () => {
    "use strict";

    gulp.src(['./assets_src/css/app.scss'])
    //.pipe(sourcemaps.init())
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(cssmin())
        //.pipe(sourcemaps.write())
        .pipe(gulp.dest('./assets/css'))
        .pipe(browserSync.stream())

});

gulp.task('vendors', () => {
    "use strict";

    gulp.src(['./assets_src/css/vendors/**/*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/vendors'))
        .pipe(browserSync.stream())

});

function vc_styles(path) {
    return gulp.src(path)
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('assets/css/vc_elements'))
        .pipe(browserSync.stream())
}

gulp.task('widget_styles', () => {
    "use strict";

    gulp.src(['./assets_src/css/widgets/**/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/widgets'))
        .pipe(browserSync.stream())

});


gulp.task('buttons_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/buttons/styles/**/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/buttons/styles'))
        .pipe(browserSync.stream())
});

gulp.task('sidebars_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/sidebar/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/sidebar'))
        .pipe(browserSync.stream())
});

gulp.task('forms_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/form/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/form'))
        .pipe(browserSync.stream())
});

gulp.task('tabs_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/tabs/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/tabs'))
        .pipe(browserSync.stream())
});

gulp.task('tour_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/tour/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/tour'))
        .pipe(browserSync.stream())
});

gulp.task('post_types_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/post_types/**/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/post_types/'))
        .pipe(browserSync.stream())
});

gulp.task('post_single_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/post/layout/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/post/'))
        .pipe(browserSync.stream())
});

gulp.task('blockquote_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/blockquote/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/blockquote/'))
        .pipe(browserSync.stream())
});

gulp.task('lists_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/lists/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/lists/'))
        .pipe(browserSync.stream())
});

gulp.task('pagination_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/pagination/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/pagination/'))
        .pipe(browserSync.stream())
});

gulp.task('accordions_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/accordion/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/accordion/'))
        .pipe(browserSync.stream())
});

gulp.task('404_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/404/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/404/'))
        .pipe(browserSync.stream())
});

gulp.task('coming_soon_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/coming_soon/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/coming_soon/'))
        .pipe(browserSync.stream())
});

gulp.task('header_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/header/styles/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/header/'))
        .pipe(browserSync.stream())
});

gulp.task('footer_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/footer/style_*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/footer/'))
        .pipe(browserSync.stream())
});

gulp.task('datepicker_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/datepicker/*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/datepicker/'))
        .pipe(browserSync.stream())
});

gulp.task('player_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/player/*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/player/'))
        .pipe(browserSync.stream())
});

gulp.task('titlebox_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/titlebox/*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/titlebox/'))
        .pipe(browserSync.stream())
});

gulp.task('timepicker_styles', () => {
    "use strict";
    gulp.src(['./assets_src/css/timepicker/*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/timepicker/'))
        .pipe(browserSync.stream())
});

gulp.task('theme_options_styles', () => {
    "use strict";
    gulp.src(['./includes/admin/theme_options/assets_src/css/*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(cssmin())
        .pipe(gulp.dest('./includes/admin/theme_options/assets/css/'))
        .pipe(browserSync.stream())
});

gulp.task('activation_styles', () => {
    gulp.src(['./includes/admin/product_registration/assets_src/css/*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(cssmin())
        .pipe(gulp.dest('./includes/admin/product_registration/assets/css/'))
        .pipe(browserSync.stream())
});

gulp.task('vc_all', () => {
    gulp.src(['./assets_src/css/vc_elements/**/*.scss'])
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(gulp.dest('./assets/css/vc_elements/'))
});


gulp.task('all-tasks', function () {
    var tasks = [
        'vendors', 'timepicker_styles', 'titlebox_styles', 'player_styles', 'datepicker_styles',
        'header_styles', 'footer_styles', 'coming_soon_styles', '404_styles', 'accordions_styles', 'pagination_styles',
        'lists_styles', 'blockquote_styles', 'post_single_styles', 'post_types_styles', 'tour_styles',
        'tabs_styles', 'forms_styles', 'sidebars_styles', 'buttons_styles', 'widget_styles', 'vendors',
        'styles', 'scripts', 'theme-vendors', 'theme_options_styles', 'activation_styles'
    ];

    tasks.forEach(function (task) {
        gulp.start(task);
    })

});

gulp.task('watch', function () {

    watch(['./includes/admin/theme_options/assets_src/css/*.scss', './includes/admin/theme_options/includes/src/directives/**/*.scss'], () => {
        gulp.start('theme_options_styles')
    });

    watch(
        [
            './assets_src/css/layout/**/*.scss',
            './assets_src/css/tour/**/*.scss',
            './assets_src/css/sass/**/*.scss',
            './assets_src/css/buttons/_button.scss',
            './assets_src/css/header/**/*.scss',
        ], () => {
            "use strict";
            gulp.start('styles')
        })
    watch('./assets_src/css/vendors/**/*.scss', () => {
        "use strict";
        gulp.start('vendors')
    })


    watch('./assets_src/css/vc_elements/**/*.scss').on('change', (e) => {
        "use strict";

        var src = e.split('themes/pearl');
        src = src[1];
        var dest = src.replace('assets_src', 'assets');

        console.log(src, dest, 'koko');

        dest = dest.split('/');
        dest.pop();
        dest = dest.join('/') + '/';


        return gulp.src('./' + src)
            .pipe(sass().on('error', sass.logError))
            .pipe(autoprefixer())
            .pipe(gulp.dest('./' + dest))
            .pipe(browserSync.stream())
    });


    watch([
        './assets_src/css/widgets/**/*.scss',
    ]).on('change', (e) => {
        "use strict";
        gulp.start('widget_styles')
        let srcDest = getFilePath(e);
        return compileStyle(srcDest[0], srcDest[1]);
    });

    watch('./assets_src/css/header/styles/*').on('change', (e) => {
        "use strict";
        let srcDest = getFilePath(e);
        srcDest[1] = srcDest[1].replace('styles', '');
        return compileStyle(srcDest[0], srcDest[1]);
    })

    watch('./assets_src/css/footer/*').on('change', (e) => {
        "use strict";
        let srcDest = getFilePath(e);
        srcDest[1] = srcDest[1].replace('styles', '');
        return compileStyle(srcDest[0], srcDest[1]);
    })

    watch('./assets_src/css/buttons/styles/**/*').on('change', (e) => {
        "use strict";
        let srcDest = getFilePath(e);
        return compileStyle(srcDest[0], srcDest[1]);
    })
    watch('./assets_src/css/sidebar/*', () => {
        "use strict";
        gulp.start('sidebars_styles')
    })
    watch('./assets_src/css/form/*', () => {
        "use strict";
        gulp.start('forms_styles')
    })

    watch('./assets_src/css/tabs/*', () => {
        "use strict";
        gulp.start('tabs_styles')
    })

    watch('./assets_src/css/tour/*', () => {
        "use strict";
        gulp.start('tour_styles')
    })

    watch('./assets_src/css/header/styles/*', () => {
        "use strict";
        gulp.start('header_styles')
    })

    watch('./assets_src/css/datepicker/*', () => {
        "use strict";
        gulp.start('datepicker_styles')
    })

    watch('./assets_src/css/player/*', () => {
        "use strict";
        gulp.start('player_styles')
    })

    watch('./assets_src/css/titlebox/*', () => {
        "use strict";
        gulp.start('titlebox_styles')
    })

    watch('./assets_src/css/timepicker/*', () => {
        "use strict";
        gulp.start('timepicker_styles')
    })

    watch('./assets_src/css/post_types/**/*', () => {
        "use strict";
        gulp.start('post_types_styles')
    })

    watch('./assets_src/js/**/*.js', () => {
        "use strict";
        gulp.start('scripts');
    })

    watch(['./includes/admin/theme_options/includes/src/**/*.js', './includes/admin/theme_options/includes/src/**/*.html'], () => {
        "use strict";
        gulp.start(['ngScripts', 'nghtml']);
    })
    watch(['./assets_src/css/post/layout/style_*.scss'], () => {
        "use strict";
        gulp.start(['post_single_styles']);
    });
    watch(['./assets_src/css/blockquote/style_*.scss'], () => {
        "use strict";
        gulp.start(['blockquote_styles']);
    });

    watch(['./assets_src/css/lists/style_*.scss'], () => {
        "use strict";
        gulp.start(['lists_styles']);
    });

    watch(['./assets_src/css/pagination/style_*.scss'], () => {
        "use strict";
        gulp.start(['pagination_styles']);
    });

    watch(['./assets_src/css/accordion/style_*.scss'], () => {
        "use strict";
        gulp.start(['accordions_styles']);
    });

    watch(['./assets_src/css/404/style_*.scss'], () => {
        "use strict";
        gulp.start(['404_styles']);
    });

    watch(['./assets_src/css/coming_soon/style_*.scss'], () => {
        "use strict";
        gulp.start(['coming_soon_styles']);
    });

    //admin
    watch(['./assets_src/admin/js/*.js'], () => {
        "use strict";
        gulp.start(['adminScripts']);
    });
    watch(['./assets_src/admin/css/**/*.scss']).on('change', (e) => {
        "use strict";
        let srcDest = getFilePath(e);
        return compileStyle(srcDest[0], srcDest[1]);
    });
    watch(['./includes/admin/product_registration/assets_src/css/*.scss'], () => {
        "use strict";
        gulp.start(['activation_styles']);
    })

});

gulp.task('scripts', () => {
    "use strict";
    gulp.src('assets_src/js/**/*.js')
        .pipe(babel({
            presets: ['es2015']
        }))
        .pipe(stripComments())
        .pipe(gulp.dest('./assets/js'))
})

gulp.task('serve', () => {
    "use strict";
    browserSync.init({
        proxy: "http://multipurpose.loc",
        host: "192.168.0.150",
        port: 3000,
        ui: {
            port: 3001
        },
        open: false
    });

    // gulp.watch('./assets_src/js/app.js', ['scripts']).on('change', browserSync.reload);
});

gulp.task('theme-vendors', function () {

    var jsFilter = filter('*.js', {restore: true});
    var cssFilter = filter('*.css', {restore: true});

    return gulp.src(mainBowerFiles(
        {
            group: "theme",
            overrides: {
                "jquery": {
                    'main': []
                },
                "jquery-ui": {
                    'main': [
                        './themes/base/datepicker.css',
                    ]
                },
                "animejs": {
                    'main': [
                        './anime.min.js',
                    ]
                },
                "flickity": {
                    'main': [
                        './dist/flickity.pkgd.min.js',
                        './dist/flickity.min.css',
                    ]
                },
                "animate.css": {
                    'main': [
                        './animate.min.css',
                    ]
                },
                "paper": {
                    'main': [
                        './dist/paper-full.js',
                    ]
                },
                "malihu-custom-scrollbar-plugin": {
                    'main': [
                        './jquery.mCustomScrollbar.concat.min.js',
                        './jquery.mCustomScrollbar.min.css',
                    ]
                },
                "dragdelaer": {
                    'main': [
                        './src/dragdealer.js',
                        './src/dragdealer.css',
                    ]
                },
                "isotope-packery": {
                    'main': [
                        './packery-mode.pkgd.min.js',
                    ]
                },
                "lazysizes": {
                    'main': [
                        './lazysizes-umd.min.js',
                    ]
                },
                "mediaelement": {
                    'main': [
                        './build/mediaelementplayer.min.js',
                        './build/mediaelementplayer-legacy.min.css',
                        './build/mediaelement-flash-audio.swf',
                        './build/mediaelement-flash-audio-ogg.swf',
                        './build/mejs-controls.svg',
                    ]
                },
                "jquery-timepicker-wvega": {
                    'main': [
                        './jquery.timepicker.js',
                        './jquery.timepicker.css',
                    ]
                },
                "slick-carousel": {
                    'main': [
                        './slick/slick.min.js',
                        './slick/slick.css',
                    ]
                },
                "twentytwenty": {
                    'main': [
                        './js/jquery.twentytwenty.js',
                        './js/jquery.event.move.js',
                        './css/twentytwenty.css'
                    ]
                },
                "bootstrap-sass": {
                    'main': [
                        './assets/javascripts/bootstrap.min.js',
                    ]
                },
                "chart.js": {
                    'main': [
                        './dist/Chart.min.js',
                    ]
                },
                "owl.carousel": {
                    'main': [
                        './dist/owl.carousel.min.js',
                    ]
                },
                "parallax.js": {
                    'main': [
                        './parallax.js',
                    ]
                },
                "autosize": {
                    'main': [
                        './dist/autosize.min.js',
                    ],
                    'dependencies': {}
                },
                "isotope": {
                    'main': [
                        './dist/isotope.pkgd.min.js',
                    ],
                    'dependencies': {}
                },
                "font-awesome": {
                    'main': [
                        './css/font-awesome.min.css',
                    ]
                },
                "jquery-touchswipe": {
                    'main': [
                        'jquery.touchSwipe.min.js'
                    ]
                },
                "lightgallery": {
                    'main' : [
                        "dist/js/lightgallery.min.js",
                        "dist/css/lightgallery.css",
                        "dist/fonts/lg.eot",
                        "dist/fonts/lg.svg",
                        "dist/fonts/lg.ttf",
                        "dist/fonts/lg.woff",
                        "dist/img/loading.gif",
                        "dist/img/video-play.png",
                        "dist/img/vimeo-play.png",
                        "dist/img/youtube-play.png",
                        "modules/lg-video.js",

                    ]
                }
            }
        }), {base: './bower_components'})
        .pipe(jsFilter)
        .pipe(uglify())
        .pipe(jsFilter.restore)
        .pipe(cssFilter)
        .pipe(cssmin())
        .pipe(cssFilter.restore)
        .pipe(flatten())

        .pipe(gulp.dest('./assets/vendor'));
});

gulp.task('fontawesome', function () {
    gulp.src('./bower_components/font-awesome/fonts/*.*')
        .pipe(gulp.dest('./assets/fonts/'));
    gulp.src('./assets_src/css/vendors/woo/fonts/*.*')
        .pipe(gulp.dest('./assets/fonts/'))
});

gulp.task('angular', function () {
    var jsFilter = filter('**/*.js', {restore: true});
    var cssFilter = filter('**/*.css', {restore: true});

    return gulp.src(mainBowerFiles(
        {
            group: "theme_options",
            overrides: {
                "angular": {
                    'main': [
                        './angular.min.js'
                    ]
                },
                "angular-ui-sortable" : {
                    'dependencies': {

                    }
                }
            }
        }), {base: './bower_components'})
        .pipe(jsFilter)
        .pipe(uglify())
        .pipe(stripComments())
        .pipe(concat('vendor.js'))
        .pipe(lec())
        .pipe(jsFilter.restore)
        .pipe(cssFilter)
        .pipe(concatCss('vendor.css'))
        .pipe(cssmin())
        .pipe(cssFilter.restore)
        .pipe(flatten())

        .pipe(gulp.dest('./includes/admin/theme_options/assets/vendor'));
});

gulp.task('ngScripts', () => {
    var sources = browserify({entries: './includes/admin/theme_options/includes/src/index.main.js'});
    sources.transform(babelify);

    var i = 0;

    function bundle() {
        return sources.bundle()
            .on('error', function (err) {
                console.error(err);
            })
            .pipe(vinylSourceStream('../../assets/js/app.min.js'))
            .pipe(vinylBuffer())
            .pipe(gulp.dest('./includes/admin/theme_options/includes/angular_app'))
            .pipe(livereload())
    }

    return bundle();
});

gulp.task('nghtml', function () {
    "use strict";
    gulp.src('./includes/admin/theme_options/includes/src/**/*.html')
        .pipe(gulp.dest('./includes/admin/theme_options/includes/angular_app/'))
});


gulp.task('adminScripts', function () {
    gulp.src('assets_src/admin/js/*')
        .pipe(babel({
            presets: ['es2015']
        }))
        .pipe(gulp.dest('./assets/admin/js'))
})

gulp.task('adminStyles', () => {
    "use strict";
    gulp.src('assets_src/admin/css/styles.scss')
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(cssmin())
        .pipe(gulp.dest('./assets/admin/css'))
        .pipe(browserSync.stream())
})


gulp.task('default', ['watch', 'serve']);

function getFilePath(e) {
    var src = e.split('themes/pearl');
    src = src[1];
    src = '.' + src;
    var dest = src.replace('assets_src', 'assets');
    dest = dest.split('/');
    dest.pop();
    dest = dest.join('/') + '/';

    return [src, dest];
}

function compileStyle(src, dest) {
    return gulp.src(src)
        .pipe(sass().on('error', sass.logError))
        .pipe(autoprefixer())
        .pipe(stripComments.text())
        .pipe(cssmin())
        .pipe(gulp.dest(dest))
        .pipe(browserSync.stream())
}


gulp.task('vc_icons', () => {
    "use strict";
    let spritePipe;

    spritePipe = gulp.src('./assets_src/admin/images/vc_icons/*.png')
        .pipe(sprite({
            baseUrl: '../images/vc_icons',
            imgName: 'vc_icons_sprite.png',
            cssName: '_vc_icons.scss',
            cssFormat: 'scss',
            imgPath: '../img/vc_icons/vc_icons_sprite.png',
            padding: 5
        }))

    spritePipe.css.pipe(gulp.dest("./assets_src/admin/css"));
    spritePipe.img.pipe(gulp.dest("./assets/admin/img/vc_icons"));
})