<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

add_action( 'category_add_form_fields', 'stm_taxonomy_listing_add_field_bg', 10 );
add_action( 'category_edit_form_fields', 'stm_taxonomy_listing_edit_field_bg', 10, 2 );
/** Save Custom Field Of Form */
add_action( 'created_category', 'stm_taxonomy_listing_image_bg_save', 10, 1 );
add_action( 'edited_category',  'stm_taxonomy_listing_image_bg_save', 10, 1 );


/*Add field*/
if (!function_exists('stm_taxonomy_listing_add_field_bg')) {
    function stm_taxonomy_listing_add_field_bg( $taxonomy ) { ?>
        <div class="form-field">
            <label for="stm_taxonomy_listing_image_bg"><?php esc_html_e('Category Image Background'); ?></label>
            <input type="color" name="pearl_category_image_bg" value="#ffffff" id="stm_taxonomy_listing_image_bg" />
            <p><?php esc_html_e('The color is not prominent by default; however, some themes may show it.'); ?></p>
        </div>
        <style type="text/css">
            #stm_taxonomy_listing_image_bg {
                width: 40px;
                height: 40px;
                cursor: pointer;
            }
        </style>
    <?php }
}

/*Edit field*/
if (!function_exists('stm_taxonomy_listing_edit_field_bg')) {
    function stm_taxonomy_listing_edit_field_bg( $term ) {
        $color = get_term_meta( $term->term_id, 'pearl_category_image_bg', true );
        $color = ( ! empty( $color ) ) ? "#{$color}" : '#ffffff';
        ?>
        <tr class="form-field">
            <th scope="row"><label for="stm_taxonomy_listing_image_bg"><?php esc_html_e('Category Image Background'); ?></label></th>
            <td>
                <input type="color" name="pearl_category_image_bg" value="<?php echo $color; ?>" id="stm_taxonomy_listing_image_bg" />
                <p><?php esc_html_e('The color is not prominent by default; however, some themes may show it.'); ?></p>
            </td>
        </tr>
        <style type="text/css">
            #stm_taxonomy_listing_image_bg {
                width: 40px;
                height: 40px;
                cursor: pointer;
            }
        </style>
        <?php
    }
}

/*Save value*/
if (!function_exists('stm_taxonomy_listing_image_bg_save')) {
    function stm_taxonomy_listing_image_bg_save( $term_id ) {
        if( isset( $_POST['pearl_category_image_bg'] ) && ! empty( $_POST['pearl_category_image_bg'] ) ) {
            update_term_meta( $term_id, 'pearl_category_image_bg', sanitize_hex_color_no_hash( $_POST['pearl_category_image_bg'] ) );
        } else {
            delete_term_meta( $term_id, 'pearl_category_image_bg' );
        }
    }
}