<?php
add_action('init', 'pearl_init_posts_list');

function pearl_init_posts_list()
{
	$post_types = pearl_get_post_types();
	vc_map(array(
		'name'   => esc_html__('Pearl Posts List', 'pearl'),
		'base'   => 'stm_posts_list',
		'icon'   => 'stmicon-bookmark',
		'description' => esc_html__('Widget with list of posts', 'pearl'),
		'category' =>array(
			esc_html__('Content', 'pearl'),
			esc_html__('Pearl', 'pearl')
		),
		'params' => array(
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__('Title', 'pearl'),
				'param_name' => 'title',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__('Posts Source', 'pearl'),
				'param_name' => 'post_type',
				'value'      => $post_types,
				'std'        => 'post'
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__('Image size', 'pearl'),
				'param_name' => 'img_size',
			),
			array(
				'type'       => 'textfield',
				'heading'    => esc_html__('Number of posts', 'pearl'),
				'param_name' => 'num',
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__('Show Image', 'pearl'),
				'param_name' => 'show_image',
				'std'        => 'true'
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__('Show Title', 'pearl'),
				'param_name' => 'show_title',
				'std'        => 'true'
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__('Show Excerpt', 'pearl'),
				'param_name' => 'show_excerpt',
				'std'        => 'true'
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__('Show Comments', 'pearl'),
				'param_name' => 'show_comments',
				'std'        => 'true'
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__('Show Date', 'pearl'),
				'param_name' => 'show_date',
				'std'        => 'true'
			),
			array(
				'type'       => 'checkbox',
				'heading'    => esc_html__('Enable pagination', 'pearl'),
				'param_name' => 'pagination',
			),
			array(
				'type'       => 'dropdown',
				'heading'    => esc_html__('Pagination style', 'pearl'),
				'param_name' => 'pagination_style',
				'value'      => array(
					esc_html__('Default', 'pearl')   => 'default',
					esc_html__('Ajax', 'pearl')   => 'ajax',
				),
				'std' => 'default',
			),
			pearl_load_styles(10),
			vc_map_add_css_animation(),
			pearl_vc_add_css_editor()
		)
	));

	if (class_exists('WPBakeryShortCode')) {
		class WPBakeryShortCode_Stm_Posts_List extends WPBakeryShortCode
		{
		}
	}
}