<?php
class Pearl_Widget_Categories extends WP_Widget_Categories {


	public function widget( $args, $instance )
	{
		$s = !empty($instance['style']) ? esc_attr($instance['style']) : 'style_1';
		pearl_add_widget_style('categories', $s);
		$args['before_widget'] = '<aside class="widget widget-default stm_widget_categories ' . $s . ' mbdc">';
		$args['after_widget'] = '</aside>';

		parent::widget($args, $instance);
	}

	public function update( $new_instance, $old_instance ) {
        $na['style'] = $new_instance['style_3'];
		//$na = parent::update($new_instance, $old_instance);
		return $new_instance;
	}

	public function form( $instance ) {
		$instance['style'] = isset($instance['style']) ? $instance['style'] : 'style_1';


		parent::form($instance);
		$style_current = $instance['style'];

		$styles = pearl_load_styles(3);
		$styles = $styles['value'];
		?>
        <p>
            <select class="widefat" name="<?php echo esc_attr($this->get_field_name('style')); ?>" id="<?php echo esc_attr($this->get_field_id('style')); ?>">
                <?php
                    foreach ($styles as $style_name => $style_class) {

                        $selected = selected($style_current, $style_class, false);
                        echo "<option {$selected} value='" . esc_attr($style_class) . "'>" . sanitize_text_field($style_name) . "</option>";
                    }
                ?>
            </select>
        </p>
		<?php
	}

}



function pearl_register_categories_widget() {
    unregister_widget('WP_Widget_Categories');
    register_widget( 'Pearl_Widget_Categories' );
}
add_action( 'widgets_init', 'pearl_register_categories_widget' );
